Package org.apache.ignite.internal.processors.cache.persistence.snapshot.dump

## Class BufferedFileIOFactory

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.snapshot.dump.BufferedFileIOFactory

All Implemented Interfaces:
  `Serializable`, `FileIOFactory`

Direct Known Subclasses:
  `WriteOnlyZipFileIOFactory`

    public class BufferedFileIOFactory
    extends Object
    implements FileIOFactory

File I/O factory which provides `BufferedFileIO` implementation of FileIO.

See Also:
  Serialized Form

### Field Summary

Fields
`protected FileIOFactory` `factory`

### Constructor Summary

Constructors
`BufferedFileIOFactory​(FileIOFactory factory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BufferedFileIO` `create​(File file, OpenOption... modes)` Creates I/O interface for file with specified mode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.file.FileIOFactory

`create`

### Field Detail

#### factory

    protected final FileIOFactory factory

### Constructor Detail

#### BufferedFileIOFactory

    public BufferedFileIOFactory​(FileIOFactory factory)

### Method Detail

#### create

    public BufferedFileIO create​(File file,
                                 OpenOption... modes)
                          throws IOException

Creates I/O interface for file with specified mode.

Specified by:
  `create` in interface `FileIOFactory`
Parameters:
  `file` - File
  `modes` - Open modes.
Returns:
  File I/O interface.
Throws:
  `IOException` - If I/O interface creation was failed.